<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\Anmeldung\AbwZahlwegDialog;

class AbwZahlwegDialogController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new AbwZahlwegDialogUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    return new AbwZahlwegDialogRequest();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new AbwZahlwegDialogPresenter($pUseCaseResponse);
  }
}